@import "../../../../styles/colours";
@import "../../../../styles/responsive";
@import "../../../../styles/fonts";

.hero {
  display: flex;
  align-items: center;
  justify-content: center;

  &__title {
    text-transform: uppercase;
    color: white;
    text-align: center;
    letter-spacing: 2px;

    @include desktop {
      font-size: 3rem;
    }
  }
}
.hero--background {
background-image:url(https://images.wagwalkingweb.com/media/daily_wag/sense_guides/intro/1543834845.46/can-dogs-fall-in-love_intro.jpg) ;
  width: 100%;
  height: 85vh;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  @include tablet {
    height: 85vh;
  }

  @include desktop {
    height: 95vh;
  }
}

.section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 20px;
  padding:0px 20px;

  &__container-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-top: 60px;
    margin-bottom: 40px;

    @include tablet {
      width: 85vw;
    }

    .title {
      color: $secondary-color;
      letter-spacing: 1px;
    }
  }

  &__container-item {
    border-radius: 5px;
    box-shadow: 0px 0px 3px #b1acac;
    padding: 10px;
    margin-bottom: 40px;

    @include tablet {
      width: 30vw;
      margin-right: 20px;
    }

    @include desktop {
      width: 20vw;
      margin-top: 3px;
    }

    .container-img {
      display: flex;
      justify-content: center;
      margin-bottom: 20px;
      .img {
        width: 100%;
      }
    }
    .container-pet {
      .container-icon {
        width: 30px;
        .icon {
          width: 100%;
        }
      }
      .specie {
        width: 200px;
        line-height: 24px;
        font-size: 0.9rem;
        color: #868e96;
        font-weight: 700;
      }
      .name{
        color: $secondary-color;
      }

      .row {
        display: flex;
        flex-direction: row;
        align-items: flex-end;
      }

      h3 {
        color: $secondary-color;
        font-weight: 700;
        margin: 15px 0px;
      }
    }

    .container-dates {
      display: flex;
      flex-direction: row;
      .dates {
        margin-right: 8px;
      }
    }
  }

}
.lovebtn, .lovebtn:after {
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  border: 1px solid;
  display: inline-block;
  height: 18px;
  line-height: 18px;
  padding: 0 8px;
}
.lovebtn {
  -webkit-box-shadow: 1px 1px 0 $primary-color inset;
  -moz-box-shadow: 1px 1px 0 $primary-color inset;
  box-shadow: 1px 1px 0 $primary-color inset;
  text-shadow: 0 1px 0 $primary-color;
  text-decoration: none;
  margin-right: 38px;
  position: relative;
  font-size: 11px; 
}

.lovebtn:before {  
  -webkit-transform: rotate(45deg); 
  -moz-transform: rotate(45deg); 
  -ms-transform: rotate(45deg); 
  -o-transform: rotate(45deg); 
  transform: rotate(45deg);
  filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.7071067811865476, M12=-0.7071067811865475, M21=0.7071067811865475, M22=0.7071067811865476, sizingMethod='auto expand');


}
.lovebtn, .lovebtn:visited {
  background-color: #dbdbdb;
  border-color: #bbb;
  color: #666;
}
.lovebtn:first-letter, .lovebtn:visited:first-letter { color: #f64136; }
.lovebtn:hover,
.lovebtn:hover:first-letter {
  text-shadow: 0 1px 0 #b12f27;
  background-color: #f64136;
  border-color: #b12f27;
  color: #eeeeee;
}
.lovebtn:active:first-letter {
  color: #b12f27;
  text-shadow: 0 1px 0 rgba(255,255,255,0.3);
}